#include <stdio.h>

int add(int *x, int *y) {
  /* make the program safer, by adding these lines */
  if (x==NULL || y==NULL) { 
    return -1 ;  // But does -1 make sense? 
  } 
  return *x + *y;
}

int main() {

  int x     = 12; 
  int girls = 13;
  int boys  = 12;
  int res;
  
  printf (" x: %d\n", x);
  printf (" x: %p\n", &x);

  res = add(&girls, &boys);
  printf (" res: %d\n", res);

  res = add(NULL, NULL);
  printf (" res: %d\n", res);

  
  
  return 0;
}
